#!/bin/bash
# Copyright (c) 2012-2015 Continuum Analytics, Inc.
# All rights reserved.
#
# NAME: Miniconda2
# VER: 3.19.0
# PLAT: linux-32
# DESCR: 2.4.1-110-g845f921
# BYTES: 24147131
# LINES: 369
# MD5: 7d12406ce75462f25538c7f6d9c4d27f
unset LD_LIBRARY_PATH
echo "$0" | grep '\.sh$' >/dev/null
if (( $? )); then
echo 'Please run using "bash" or "sh", but not "." or "source"' >&2
return 1
fi
THIS_DIR=$(cd $(dirname $0); pwd)
THIS_FILE=$(basename $0)
THIS_PATH="$THIS_DIR/$THIS_FILE"
PREFIX=$HOME/miniconda2
BATCH=0
FORCE=0
while getopts "bfhp:" x; do
case "$x" in
h)
echo "usage: $0 [options]
Installs Miniconda2 3.19.0
-b run install in batch mode (without manual intervention),
it is expected the license terms are agreed upon
-f no error if install prefix already exists
-h print this help message and exit
-p PREFIX install prefix, defaults to $PREFIX
"
exit 2
;;
b)
BATCH=1
;;
f)
FORCE=1
;;
p)
PREFIX="$OPTARG"
;;
?)
echo "Error: did not recognize option, please try -h"
exit 1
;;
esac
done
if [[ `uname -m` == 'x86_64' ]]; then
echo -n "WARNING:
Your system is x86_64, but you are trying to install an x86 (32-bit)
version of Miniconda2. Unless you have the necessary 32-bit libraries
installed, Miniconda2 will not work.
We STRONGLY recommend installing the x86_64 version of Miniconda2 on
an x86_64 system.
Are sure you want to continue the installation? [yes|no]
[no] >>> "
read ans
if [[ ($ans != "yes") && ($ans != "Yes") && ($ans != "YES") &&
($ans != "y") && ($ans != "Y") ]]
then
echo "Aborting installation"
exit 2
fi
fi
# verify the size of the installer
wc -c "$THIS_PATH" | grep 24147131 >/dev/null
if (( $? )); then
echo "ERROR: size of $THIS_FILE should be 24147131 bytes" >&2
exit 1
fi
if [[ $BATCH == 0 ]] # interactive mode
then
echo -n "
Welcome to Miniconda2 3.19.0 (by Continuum Analytics, Inc.)
In order to continue the installation process, please review the license
agreement.
Please, press ENTER to continue
>>> "
read dummy
more < for more information.
Continuum Analytics has self-classified this software as Export Commodity
Control Number (ECCN) 5D002.C.1, which includes information security
software using or performing cryptographic functions with asymmetric
algorithms. The form and manner of this distribution makes it eligible for
export under the License Exception ENC Technology Software Unrestricted
(TSU) exception (see the BIS Export Administration Regulations, Section
740.13) for both object code and source code.
The following packages are included in this distribution that relate to
cryptography:
openssl
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing the
Transport Layer Security (TLS) and Secure Sockets Layer (SSL) protocols as
well as a full-strength general purpose cryptography library.
pycrypto
A collection of both secure hash functions (such as SHA256 and RIPEMD160),
and various encryption algorithms (AES, DES, RSA, ElGamal, etc.).
pyopenssl
A thin Python wrapper around (a subset of) the OpenSSL library.
kerberos (krb5, non-Windows platforms)
A network authentication protocol designed to provide strong authentication
for client/server applications by using secret-key cryptography.
cryptography
A Python library which exposes cryptographic recipes and primitives.
EOF
echo -n "
Do you approve the license terms? [yes|no]
>>> "
read ans
while [[ ($ans != "yes") && ($ans != "Yes") && ($ans != "YES") &&
($ans != "no") && ($ans != "No") && ($ans != "NO") ]]
do
echo -n "Please answer 'yes' or 'no':
>>> "
read ans
done
if [[ ($ans != "yes") && ($ans != "Yes") && ($ans != "YES") ]]
then
echo "The license agreement wasn't approved, aborting installation."
exit 2
fi
echo -n "
Miniconda2 will now be installed into this location:
$PREFIX
- Press ENTER to confirm the location
- Press CTRL-C to abort the installation
- Or specify a different location below
[$PREFIX] >>> "
read user_prefix
if [[ $user_prefix != "" ]]; then
case "$user_prefix" in
*\ * )
echo "ERROR: Cannot install into directories with spaces" >&2
exit 1
;;
*)
eval PREFIX="$user_prefix"
;;
esac
fi
fi # !BATCH
case "$PREFIX" in
*\ * )
echo "ERROR: Cannot install into directories with spaces" >&2
exit 1
;;
esac
if [[ ($FORCE == 0) && (-e $PREFIX) ]]; then
echo "ERROR: File or directory already exists: $PREFIX" >&2
exit 1
fi
mkdir -p $PREFIX
if (( $? )); then
echo "ERROR: Could not create directory: $PREFIX" >&2
exit 1
fi
PREFIX=$(cd $PREFIX; pwd)
export PREFIX
echo "PREFIX=$PREFIX"
# verify the MD5 sum of the tarball appended to this header
MD5=$(tail -n +369 "$THIS_PATH" | md5sum -)
echo $MD5 | grep 7d12406ce75462f25538c7f6d9c4d27f >/dev/null
if (( $? )); then
echo "WARNING: md5sum mismatch of tar archive
expected: 7d12406ce75462f25538c7f6d9c4d27f
got: $MD5" >&2
fi
# extract the tarball appended to this header, this creates the *.tar.bz2 files
# for all the packages which get installed below
# NOTE:
# When extracting as root, tar will by default restore ownership of
# extracted files, unless --no-same-owner is used, which will give
# ownership to root himself.
cd $PREFIX
tail -n +369 "$THIS_PATH" | tar xf - --no-same-owner
if (( $? )); then
echo "ERROR: could not extract tar starting at line 369" >&2
exit 1
fi
extract_dist()
{
echo "installing: $1 ..."
DIST=$PREFIX/pkgs/$1
mkdir -p $DIST
tar xjf ${DIST}.tar.bz2 -C $DIST --no-same-owner || exit 1
rm -f ${DIST}.tar.bz2
}
extract_dist _cache-0.0-py27_x0
extract_dist python-2.7.11-0
extract_dist conda-env-2.4.5-py27_0
extract_dist openssl-1.0.2d-0
extract_dist pycosat-0.6.1-py27_0
extract_dist pyyaml-3.11-py27_1
extract_dist readline-6.2-2
extract_dist requests-2.9.0-py27_0
extract_dist sqlite-3.8.4.1-1
extract_dist tk-8.5.18-0
extract_dist yaml-0.1.6-0
extract_dist zlib-1.2.8-0
extract_dist conda-3.19.0-py27_0
extract_dist pycrypto-2.6.1-py27_0
extract_dist pip-7.1.2-py27_0
extract_dist wheel-0.26.0-py27_1
extract_dist setuptools-18.8.1-py27_0
mkdir $PREFIX/envs
mkdir $HOME/.continuum 2>/dev/null
PYTHON="$PREFIX/pkgs/python-2.7.11-0/bin/python -E"
$PYTHON -V
if (( $? )); then
echo "ERROR:
cannot execute native linux-32 binary, output from 'uname -a' is:" >&2
uname -a
exit 1
fi
echo "creating default environment..."
CONDA_INSTALL="$PREFIX/pkgs/conda-3.19.0-py27_0/lib/python2.7/site-packages/conda/install.py"
$PYTHON $CONDA_INSTALL --prefix=$PREFIX --file=conda-meta/.ilan || exit 1
rm -rf $PREFIX/pkgs/_cache-*
echo "installation finished."
if [[ $PYTHONPATH != "" ]]; then
echo "WARNING:
You currently have a PYTHONPATH environment variable set. This may cause
unexpected behavior when running the Python interpreter in Miniconda2.
For best results, please verify that your PYTHONPATH only points to
directories of packages that are compatible with the Python interpreter
in Miniconda2: $PREFIX"
fi
if [[ $BATCH == 0 ]] # interactive mode
then
BASH_RC=$HOME/.bashrc
DEFAULT=no
echo -n "Do you wish the installer to prepend the Miniconda2 install location
to PATH in your $BASH_RC ? [yes|no]
[$DEFAULT] >>> "
read ans
if [[ $ans == "" ]]; then
ans=$DEFAULT
fi
if [[ ($ans != "yes") && ($ans != "Yes") && ($ans != "YES") &&
($ans != "y") && ($ans != "Y") ]]
then
echo "
You may wish to edit your .bashrc or prepend the Miniconda2 install location:
$ export PATH=$PREFIX/bin:\$PATH
"
else
if [ -f $BASH_RC ]; then
echo "
Prepending PATH=$PREFIX/bin to PATH in $BASH_RC
A backup will be made to: ${BASH_RC}-miniconda2.bak
"
cp $BASH_RC ${BASH_RC}-miniconda2.bak
else
echo "
Prepending PATH=$PREFIX/bin to PATH in
newly created $BASH_RC"
fi
echo "
For this change to become active, you have to open a new terminal.
"
echo "
# added by Miniconda2 3.19.0 installer
export PATH=\"$PREFIX/bin:\$PATH\"" >>$BASH_RC
fi
echo "Thank you for installing Miniconda2!
Share your notebooks and packages on Anaconda Cloud!
Sign up for free: https://anaconda.org
"
fi # !BATCH
exit 0
@@END_HEADER@@
LICENSE.txt 0000664 0000765 0000765 00000007717 12615724316 012630 0 ustar ilan ilan 0000000 0000000 ================
Anaconda License
================
Copyright 2015, Continuum Analytics, Inc.
All rights reserved under the 3-clause BSD License:
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Continuum Analytics, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CONTINUUM ANALYTICS, INC. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
Notice of Third Party Software Licenses
=======================================
Anaconda contains open source software packages from third parties. These are available on an "as is" basis and subject to their individual license agreements. These licenses are available in Anaconda or at http://docs.continuum.io/anaconda/pkg-docs . Any binary packages of these third party tools you obtain via Anaconda are subject to their individual licenses as well as the Anaconda license. Continuum reserves the right to change which third party tools are provided in Anaconda.
Cryptography Notice
===================
This distribution includes cryptographic software. The country in which you currently reside may have restrictions on the import, possession, use, and/or re-export to another country, of encryption software. BEFORE using any encryption software, please check your country's laws, regulations and policies concerning the import, possession, or use, and re-export of encryption software, to see if this is permitted. See the Wassenaar Arrangement for more information.
Continuum Analytics has self-classified this software as Export Commodity Control Number (ECCN) 5D002.C.1, which includes information security software using or performing cryptographic functions with asymmetric algorithms. The form and manner of this distribution makes it eligible for export under the License Exception ENC Technology Software Unrestricted (TSU) exception (see the BIS Export Administration Regulations, Section 740.13) for both object code and source code.
The following packages are included in this distribution that relate to cryptography:
openssl
The OpenSSL Project is a collaborative effort to develop a robust, commercial-grade, full-featured, and Open Source toolkit implementing the Transport Layer Security (TLS) and Secure Sockets Layer (SSL) protocols as well as a full-strength general purpose cryptography library.
pycrypto
A collection of both secure hash functions (such as SHA256 and RIPEMD160), and various encryption algorithms (AES, DES, RSA, ElGamal, etc.).
pyopenssl
A thin Python wrapper around (a subset of) the OpenSSL library.
kerberos (krb5, non-Windows platforms)
A network authentication protocol designed to provide strong authentication for client/server applications by using secret-key cryptography.
cryptography
A Python library which exposes cryptographic recipes and primitives.
conda-meta/.ilan 0000664 0000765 0000765 00000000564 12634613511 013725 0 ustar ilan ilan 0000000 0000000 # these packages are part of: Miniconda2-3.19.0-Linux-x86.sh
_cache-0.0-py27_x0
python-2.7.11-0
conda-env-2.4.5-py27_0
openssl-1.0.2d-0
pycosat-0.6.1-py27_0
pyyaml-3.11-py27_1
readline-6.2-2
requests-2.9.0-py27_0
sqlite-3.8.4.1-1
tk-8.5.18-0
yaml-0.1.6-0
zlib-1.2.8-0
conda-3.19.0-py27_0
pycrypto-2.6.1-py27_0
pip-7.1.2-py27_0
wheel-0.26.0-py27_1
setuptools-18.8.1-py27_0
pkgs/_cache-0.0-py27_x0.tar.bz2 0000664 0000765 0000765 00001051042 12634613500 016040 0 ustar ilan ilan 0000000 0000000 BZh91AY&SY)&[>) )$8 ƪ} = U9 (5p 4
@4HH^j4^\"B _ )Tj[h94i 2'
= xp&{
b[!3X`A i"[ 2,Xl3$b8$@
} 0xA)-@
OW{R)@ h >1
+x ( P Q&